import Image from 'next/image'
import { ReactNode } from 'react'
import globo from '../../../public/images/globo.svg'

type AboutGloboProps = {
  children: ReactNode
}

export function AboutGlobo({ children }: AboutGloboProps) {
  return (
    <div className="container flex justify-center md:justify-around">
      <div className="flex flex-col items-center justify-center max-w-[1152px] gap-10">
        <Image src={globo} alt="Imagem demonstrativa de um globo" />
        <p className="text-center text-2xl font-thin text-green-400 w-full">
          Somos um <b className="text-3xl font-bold">hub</b> de inovação,
          tecnologia e negócios
        </p>
        {children}
      </div>
    </div>
  )
}
