import { cn } from '@/lib/utils'
import { cva } from 'class-variance-authority'
import Image from 'next/image'
import imgFooter from '../../../public/images/img-footer.svg'

type AboutPatnerCompaniesProps = {
  className?: React.HTMLProps<HTMLElement>['className']
}

const containerVariants = cva(
  'container flex-col justify-center items-center gap-6 mt-10',
)

export function AboutPatnerCompanies({ className }: AboutPatnerCompaniesProps) {
  return (
    <div className={cn(containerVariants(), className)}>
      <h5 className="text-green-400 text-xl flex justify-center my-4">
        Empresas Parceiras
      </h5>
      <div className="flex flex-wrap justify-center gap-6">
        <Image src={imgFooter} alt="Educação Adventista" />
        <Image src={imgFooter} alt="Educação Adventista" />
        <Image src={imgFooter} alt="Educação Adventista" />
        <Image src={imgFooter} alt="Educação Adventista" />
        <Image src={imgFooter} alt="Educação Adventista" />
        <Image src={imgFooter} alt="Educação Adventista" />
      </div>
    </div>
  )
}
